%{?nodejs_find_provides_and_requires}

%global packagename to-array
%global enable_tests 1

Name:		nodejs-to-array
Version:	0.1.4
Release:	2%{?dist}
Summary:	Turn an array like into an array

License:	MIT
URL:		https://github.com/Raynos/to-array
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/Raynos/to-array/master/test/to-array.test.js


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
Turn an array like into an array


%prep
%autosetup -n package
# setup the tests
mkdir test
cp %{SOURCE1} test/

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/tap --stderr --tap test/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENCE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Apr 28 2018 Jared K. Smith <jsmith@fedoraproject.org> - 0.1.4-1
- Initial packaging
